clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Typedefs | Functions | Variables
Modularize.h File Reference

Common definitions for Modularize. More...

`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for Modularize.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef llvm::SmallVector < std::string, 4 > | DependentsVector
typedef llvm::StringMap < DependentsVector > | DependencyMap

## Functions
bool | createModuleMap (llvm::StringRef ModuleMapPath, llvm::ArrayRef< std::string > HeaderFileNames, llvm::ArrayRef< std::string > ProblemFileNames, DependencyMap &Dependencies, llvm::StringRef HeaderPrefix, llvm::StringRef RootModuleName)
| Create the module map file. More...

## Variables
const char * | Argv0
std::string | CommandLine

## Detailed Description

Common definitions for Modularize.

Definition in file Modularize.h.

## Typedef Documentation

typedef llvm::StringMap<DependentsVector> DependencyMap

Definition at line 33 of file Modularize.h.

typedef llvm::SmallVector<std::string, 4> DependentsVector

Definition at line 32 of file Modularize.h.

## Function Documentation

bool createModuleMap | ( | llvm::StringRef | ModuleMapPath,
|  | llvm::ArrayRef< std::string > | HeaderFileNames,
|  | llvm::ArrayRef< std::string > | ProblemFileNames,
|  | DependencyMap & | Dependencies,
|  | llvm::StringRef | HeaderPrefix,
|  | llvm::StringRef | RootModuleName
| ) |  |

Create the module map file.

Parameters

  ModuleMapPath | The path to the module map file to be generated.
  HeaderFileNames | The list of header files, absolute native paths.
  ProblemFileNames | The list of problem header files.
  Dependencies | Map of headers that depend on other headers.
  HeaderPrefix | Tells the code where the headers are, if they aren's in the current directory, allowing the generator to strip the leading, non-relative beginning of the header paths. RootModuleName If not empty, specifies that a root module should be created with this name.

Returns
  True if successful.

Definition at line 293 of file ModuleAssistant.cpp.

References loadModuleDescriptions(), RootModule(), and writeModuleMap().

Referenced by main().

## Variable Documentation

const char* Argv0

Definition at line 334 of file Modularize.cpp.

Referenced by main(), and writeModuleMap().

std::string CommandLine

Definition at line 336 of file Modularize.cpp.

Referenced by main(), and writeModuleMap().